### Function

# EDataServer categories_get_icon_file_for

deprecated: 3.16

#### Declaration [src]

    const gchar*
    e_categories_get_icon_file_for (
      const gchar* category
    )

#### Description [src]

Gets the icon file associated with the given category.

This function is mostly thread safe, but as the icon file name is not copied, it may be freed by another thread after being returned by this function. Use `e_categories_dup_icon_file_for()` instead.

Deprecated since: 3.16

This function is not entirely thread safe. Use `e_categories_dup_icon_file_for()` instead.

#### Parameters

`category`

  Type: `const gchar*`

  Category to retrieve the icon file for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Icon file name.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.